Bug 133030 - FILESAVE DOCX Formula alignment changes on export to centered
Summary: FILESAVE DOCX Formula alignment changes on export to centered
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Attila Bakos (NISZ)
URL:
Whiteboard: target:7.0.0
Keywords:
Depends on:
Blocks: DOCX-Formula
  Show dependency treegraph
 
Reported: 2020-05-14 12:20 UTC by NISZ LibreOffice Team
Modified: 2020-06-15 13:28 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from Word (29.59 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-05-14 12:20 UTC, NISZ LibreOffice Team
Details
The original file saved by Writer (22.11 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-05-14 12:20 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Word and Writer (112.81 KB, image/png)
2020-05-14 12:20 UTC, NISZ LibreOffice Team
Details
Screenshot of the exported document side by side in Word and Writer (99.16 KB, image/png)
2020-05-14 12:21 UTC, NISZ LibreOffice Team
Details
Example file from Writer after fix (22.03 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-05-27 13:25 UTC, Attila Bakos (NISZ)
Details
Screenshot of the sample file side by side in Word and Writer after fix (159.38 KB, image/png)
2020-05-27 13:27 UTC, Attila Bakos (NISZ)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-05-14 12:20:08 UTC
Created attachment 160813 [details]
Example file from Word

When a formula frame is aligned to the left or right in a Word-made document, this is now imported correctly in Writer.
Saving these to DOCX and opening the file in Word shows all the formula aligned centered.

Steps to reproduce:
    1. Open attached file in Writer and save it as DOCX
    2. Open the roundtripped file in Word

Actual results:
All formula is aligned centered.

Expected results:
Original alignment retained.

LibreOffice details:
Version: 7.0.0.0.alpha1+ (x64)
Build ID: 1ed7607454d1492f65c78443cb661d5873face6b
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win; 
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2020-05-14 12:20:28 UTC
Created attachment 160814 [details]
The original file saved by Writer
Comment 2 NISZ LibreOffice Team 2020-05-14 12:20:45 UTC
Created attachment 160815 [details]
Screenshot of the original document side by side in Word and Writer
Comment 3 NISZ LibreOffice Team 2020-05-14 12:21:06 UTC
Created attachment 160816 [details]
Screenshot of the exported document side by side in Word and Writer
Comment 4 Durgapriyanka 2020-05-14 21:06:03 UTC
Thank you for reporting the bug. I can not reproduce this bug in

Version: 6.4.0.0.alpha1+ (x86)
Build ID: ec7374ff84c71edfbb30d6e4dc5b486b6df7107f
CPU threads: 2; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-11-10_21:37:30
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
Comment 5 Dieter 2020-05-18 11:24:23 UTC
I confirm with

Version: 7.0.0.0.alpha1+ (x64)
Build ID: 99c337d1d3831ce9d2c7dc1cbff713f4ac49d6ac
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win; 
Locale: en-GB (de_DE); UI: en-GB
Calc: CL
Comment 6 Commit Notification 2020-05-26 07:39:05 UTC
Attila Bakos committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/46695f3d66cc77b38865c1817b09d95e9c4b6683

tdf#133030: DOCX export: fix formula alignment - part 3

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Attila Bakos (NISZ) 2020-05-27 13:25:37 UTC
Created attachment 161334 [details]
Example file from Writer after fix
Comment 8 Attila Bakos (NISZ) 2020-05-27 13:27:58 UTC
Created attachment 161335 [details]
Screenshot of the sample file side by side in Word and Writer after fix
Comment 9 Dieter 2020-06-04 11:50:24 UTC
Verified with

Version: 7.0.0.0.beta1 (x64)
Build ID: 94f789cbb33335b4a511c319542c7bdc31ff3b3c
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-GB
Calc: CL

Attila, thanks for fixing it!